> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Censor Job

> Create a censor job to censor words in a clip.

👆Use above tools to generate API request code snippets.


## OpenAPI

````yaml POST /api/censor-jobs
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/censor-jobs:
    post:
      tags:
        - censor-jobs
        - enterprise
      operationId: CensorJobController_createCensorJob
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CensorJobRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CensorJobResponse'
      security:
        - bearer: []
components:
  schemas:
    CensorJobRequest:
      type: object
      properties:
        projectId:
          type: string
          description: The project id that you want to censor.
          example: P0000000demo
        clipId:
          type: string
          description: The clip id that you want to censor.
          example: lDIOHRzdac
        options:
          description: Some options for the censor job.
          example:
            beepSound: false
          allOf:
            - $ref: '#/components/schemas/CensorJobOptions'
      required:
        - projectId
        - clipId
    CensorJobResponse:
      type: object
      properties:
        jobId:
          type: string
          description: If the job was created successfully, this will contain the job ID.
        message:
          type: string
          description: A message indicating the result of the job creation.
    CensorJobOptions:
      type: object
      properties:
        beepSound:
          type: boolean
          description: Use beep sound instead of the censored words.
          example: true
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````